* [dpdk-dev] [PATCH] scripts: test build with all stats enabled
@ 2016-04-08 9:22 Thomas Monjalon
2016-04-11 21:59 ` Thomas Monjalon
0 siblings, 1 reply; 2+ messages in thread
From: Thomas Monjalon @ 2016-04-08 9:22 UTC (permalink / raw)
To: dev
These stats will be compiled when adding +debug
to test-build.sh targets:
CONFIG_RTE_LIBRTE_IP_FRAG_TBL_STAT
CONFIG_RTE_SCHED_COLLECT_STATS
CONFIG_RTE_PORT_STATS_COLLECT
CONFIG_RTE_TABLE_STATS_COLLECT
CONFIG_RTE_PIPELINE_STATS_COLLECT
CONFIG_RTE_TEST_PMD_RECORD_BURST_STATS
CONFIG_RTE_TEST_PMD_RECORD_CORE_CYCLES
Signed-off-by: Thomas Monjalon <thomas.monjalon@6wind.com>
---
scripts/test-build.sh | 7 ++++---
1 file changed, 4 insertions(+), 3 deletions(-)
diff --git a/scripts/test-build.sh b/scripts/test-build.sh
index e9e3dbc..9de90f7 100755
--- a/scripts/test-build.sh
+++ b/scripts/test-build.sh
@@ -137,8 +137,10 @@ config () # <directory> <target> <options>
sed -ri 's,(NEXT_ABI=)y,\1n,' $1/.config
! echo $3 | grep -q '+shared' || \
sed -ri 's,(SHARED_LIB=)n,\1y,' $1/.config
- ! echo $3 | grep -q '+debug' || \
- sed -ri 's,(DEBUG.*=)n,\1y,' $1/.config
+ ! echo $3 | grep -q '+debug' || ( \
+ sed -ri 's,(_DEBUG.*=)n,\1y,' $1/.config
+ sed -ri 's,(_STAT.*=)n,\1y,' $1/.config
+ sed -ri 's,(TEST_PMD_RECORD_.*=)n,\1y,' $1/.config )
# Automatic configuration
! echo $2 | grep -q '^x86_64' || \
@@ -165,7 +167,6 @@ config () # <directory> <target> <options>
sed -ri 's,(PMD_QAT=)n,\1y,' $1/.config
sed -ri 's,(KNI_VHOST.*=)n,\1y,' $1/.config
sed -ri 's,(SCHED_.*=)n,\1y,' $1/.config
- sed -ri 's,(TEST_PMD_RECORD_.*=)n,\1y,' $1/.config
build_config_hook $1 $2 $3
# Explicit enabler/disabler (uppercase)
--
2.7.0
^ permalink raw reply [flat|nested] 2+ messages in thread
* Re: [dpdk-dev] [PATCH] scripts: test build with all stats enabled
2016-04-08 9:22 [dpdk-dev] [PATCH] scripts: test build with all stats enabled Thomas Monjalon
@ 2016-04-11 21:59 ` Thomas Monjalon
0 siblings, 0 replies; 2+ messages in thread
From: Thomas Monjalon @ 2016-04-11 21:59 UTC (permalink / raw)
To: dev
2016-04-08 11:22, Thomas Monjalon:
> These stats will be compiled when adding +debug
> to test-build.sh targets:
> CONFIG_RTE_LIBRTE_IP_FRAG_TBL_STAT
> CONFIG_RTE_SCHED_COLLECT_STATS
> CONFIG_RTE_PORT_STATS_COLLECT
> CONFIG_RTE_TABLE_STATS_COLLECT
> CONFIG_RTE_PIPELINE_STATS_COLLECT
> CONFIG_RTE_TEST_PMD_RECORD_BURST_STATS
> CONFIG_RTE_TEST_PMD_RECORD_CORE_CYCLES
>
> Signed-off-by: Thomas Monjalon <thomas.monjalon@6wind.com>
Applied
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2016-04-11 21:59 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2016-04-08 9:22 [dpdk-dev] [PATCH] scripts: test build with all stats enabled Thomas Monjalon
2016-04-11 21:59 ` Thomas Monjalon
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).